"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function finishCollisionShape(collisionShape, options, scale) {
    return;
    collisionShape.type = options.type;
    collisionShape.setMargin(options.margin);
    collisionShape.destroy = () => {
        for (let res of collisionShape.resources || []) {
            Ammo.destroy(res);
        }
        if (collisionShape.heightfieldData) {
            Ammo._free(collisionShape.heightfieldData);
        }
        Ammo.destroy(collisionShape);
    };
    const localTransform = new Ammo.btTransform();
    const rotation = new Ammo.btQuaternion();
    localTransform.setIdentity();
    localTransform.getOrigin().setValue(options.offset.x, options.offset.y, options.offset.z);
    rotation.setValue(options.orientation.x, options.orientation.y, options.orientation.z, options.orientation.w);
    localTransform.setRotation(rotation);
    Ammo.destroy(rotation);
    if (scale) {
        const localScale = new Ammo.btVector3(scale.x, scale.y, scale.z);
        collisionShape.setLocalScaling(localScale);
        Ammo.destroy(localScale);
    }
    collisionShape.localTransform = localTransform;
}
exports.default = finishCollisionShape;
//# sourceMappingURL=finishCollisionShape.js.map