import ConstructorOf from '@thats/utils/types/ConstructorOf';
import ControllerType from '../enums/ControllerType';
import XRProject from './XRProject';
declare const XRController_base: ConstructorOf<import("./XRClass").IClass>;
export default class XRController extends XRController_base {
    static controllerType: ControllerType;
    project: XRProject;
    controllerType: ControllerType;
    speed: number;
    defaults(): any;
}
export interface XRControllerConstructor<T extends XRController> extends ConstructorOf<T> {
    controllerType: ControllerType;
}
export {};
