"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const three_1 = require("three");
const randomVector3_1 = __importDefault(require("./randomVector3"));
function randomizeRotation(o, range) {
    const v = (0, randomVector3_1.default)(range);
    o.setRotationFromEuler(new three_1.Euler(v.x, v.y, v.z));
    return o;
}
exports.default = randomizeRotation;
//# sourceMappingURL=randomizeRotation.js.map